<?php
require_once "header.php";
require_once "inc/nfecode_cancela.php";
require_once "inc/messages.php"; 

// echo base64_encode('5') . "<br>";

$id = $_GET['id'];
$id_doc = base64_decode($id);
$st_confirma = false;
$redirect = "erpc_faturar_pedidos_filter.php";

if(isset($_GET['confirma'])){
  $confirm = base64_decode($_GET['confirma']);
  $st_confirma = $confirm;
}

if($st_confirma==true){
  $NfeCancelar = new NfeCancelar();
  $NfeCancelar->nr_nota = $id_doc;
  $NfeCancelar->cancelarNfe();

  /*
  echo "<br>Mensagem: " . $NfeCancelar->ds_mensagem;
  echo "<br>Ok Nfe  : " . $NfeCancelar->st_nfe;
  echo "<br>Ok Lote : " . $NfeCancelar->st_enviado;
  */

  if($NfeCancelar->st_enviado==true){
    addMessage("Solicitação de cancelamento enviado a Sefaz com sucesso! Aguarde o Processamento.");
  }else {
    addError("Houve um erro ao cancelar a Nfe na Sefaz $NfeCancelar->ds_mensagem");
  }

  header("Location:erpc_faturar_pedidos_list.php");  
}

?>

<div class="form-row">
  <div id="dialog" title="Confirmação" hidden>
      <span>Deseja realmente Cancelar a Nfe do Documento ? N.ro
      <?php echo $id_doc;?>?</span>
    <br>
    <br>


      <a href="erpc_nfecode_cancela.php?confirma=dHJ1ZQ==&id=<?=$id?>">
      <button type="button" name="btn-sim" id="btn-sim" class="btn btn-primary btn-cleanx">Sim</button>
        </a>

      <button type="button" name="btn-nao" onclick="javascript:window.history.back();"    id="btn-nao" class="btn btn-default btn-cleanx">Não</button>

    </form>
  </div>
</div>

<? include_once "footer.php";?>

<script type='text/javascript'>
  $(document).ready(function() {

    $("#dialog").dialog({
      autoOpen: true,
      modal: true
    });


  }(jQuery));
</script>
